summaryrefslogtreecommitdiff
path: root/app-doc/python-docs/python-docs-3.13.13.ebuild
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-08 07:13:47 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2026-04-08 07:13:47 +0000
commita6a2723d14d4f75c9ff0ca130d38adb96945ada5 (patch)
treeace138fb5a1eb1ee0988577ad0689b2c01c3dabd /app-doc/python-docs/python-docs-3.13.13.ebuild
parent63cc2c766bddbc62e012b702853544b13e1d9612 (diff)
downloadbaldeagleos-repo-a6a2723d14d4f75c9ff0ca130d38adb96945ada5.tar.gz
baldeagleos-repo-a6a2723d14d4f75c9ff0ca130d38adb96945ada5.tar.xz
baldeagleos-repo-a6a2723d14d4f75c9ff0ca130d38adb96945ada5.zip
Adding metadata
Diffstat (limited to 'app-doc/python-docs/python-docs-3.13.13.ebuild')
-rw-r--r--app-doc/python-docs/python-docs-3.13.13.ebuild24
1 files changed, 24 insertions, 0 deletions
diff --git a/app-doc/python-docs/python-docs-3.13.13.ebuild b/app-doc/python-docs/python-docs-3.13.13.ebuild
new file mode 100644
index 000000000000..0affc199615a
--- /dev/null
+++ b/app-doc/python-docs/python-docs-3.13.13.ebuild
@@ -0,0 +1,24 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+MY_P=python-${PV}-docs-html
+DESCRIPTION="HTML documentation for Python"
+HOMEPAGE="https://www.python.org/doc/"
+SRC_URI="https://www.python.org/ftp/python/doc/${PV}/${MY_P}.tar.bz2"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="PSF-2"
+SLOT="$(ver_cut 1-2)"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~m68k ~mips ~ppc ~ppc64 ~s390 ~sparc ~x86"
+
+src_install() {
+ rm -r _sources || die
+ docinto html
+ dodoc -r .
+
+ newenvd - 60python-docs-${SLOT} <<-EOF
+ PYTHONDOCS_${SLOT//./_}="${EPREFIX}/usr/share/doc/${PF}/html/library"
+ EOF
+}